// Get reference to DOM elements
const taskList = document.querySelector('.task-list ul');
const newTaskForm = document.querySelector('form');

// Logout
document.getElementById('logout-btn').addEventListener('click', async () => {
  try {
    const res = await fetch('/api/users/logout', { method: 'POST' });
    if (res.ok) {
      window.location.href = 'login.html'; 
    } else {
      console.error('Logout failed');
    }
  } catch (err) {
    console.error('Error during logout:', err);
  }
});